%define name lilypond
%define version 1.3.129
%define release 1mdk

Name: %{name}
Summary: A program for printing sheet music.
Version: %{version}
Release: %{release}
Source0: ftp.cs.uu.nl:/pub/GNU/LilyPond/development/lilypond-%{version}.tar.bz2
Source1: lilypond-README.first.tar.bz2
Patch0: lilypond-profile.patch.bz2
Patch1: lilypond-login.patch.bz2
License: GPL
Group: Publishing
URL: http://www.cs.uu.nl/~hanwen/lilypond
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: guile guile-devel
Requires: tetex

%description
LilyPond is a music typesetter.  It produces beautiful sheet music using a
high level description file as input.  Lilypond is part of the GNU project.
 
LilyPond is split into two packages.  The package "lilypond" provides the
core package, containing the utilities for converting the music source
(.ly) files into printable output.  The package "lilypond-extras" provides
the full documentation, example .ly files for various features and the
Mutopia project files (musical equivalent of the Gutenberg project - see
http://www.mutopiaproject.org for details).
 
If you are new to lilypond, you will almost certainly want to install the
"lilypond-extras" package in addition to the "lilypond" package.
 
You may also wish to investigate the "denemo" package, which provides a
graphical front end to lilypond.

See the file README.first for more information.


%package extras
Summary: LilyPond documentation, examples and Mutopia files.
Group: Publishing
Requires: lilypond

%description extras
The documentation of LilyPond, both in HTML and PostScript, along with
example input files and the files from the Mutopia project.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -a 1
%patch0
%patch1

%build

# DO NOT use % { configure } , it hardcodes all paths, runs libtool,
# so we can't do make prefix=/tmp/ install.
# -- not sure what this comment means; it's a relic from the PPC spec file -- mbrown@fensystems.co.uk

./configure --disable-checking --disable-debugging --enable-printing --prefix=%{_prefix} --disable-optimise --enable-shared

make all

make -C Documentation
make htmldoc

%install
rm -rf $RPM_BUILD_ROOT
rm -rf lilypond-extra-tmp
mkdir -p lilypond-extra-tmp

make prefix="$RPM_BUILD_ROOT%{_prefix}" install

# Move info and man files into correct locations
mv $RPM_BUILD_ROOT/usr/info $RPM_BUILD_ROOT%{_infodir}
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT%{_mandir}
gzip -9fn $RPM_BUILD_ROOT%{_infodir}/*
gzip -9fn $RPM_BUILD_ROOT%{_mandir}/man1/*

# Move TeX font files into system TeX tree locations
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/texmf/fonts/{afm,source,tfm}
mv $RPM_BUILD_ROOT%{_prefix}/share/lilypond/afm $RPM_BUILD_ROOT%{_prefix}/share/texmf/fonts/afm/lilypond
mv $RPM_BUILD_ROOT%{_prefix}/share/lilypond/mf $RPM_BUILD_ROOT%{_prefix}/share/texmf/fonts/source/lilypond
mv $RPM_BUILD_ROOT%{_prefix}/share/lilypond/tfm $RPM_BUILD_ROOT%{_prefix}/share/texmf/fonts/tfm/lilypond

# Copy scripts to /etc/profile.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
cp buildscripts/out/lilypond-profile $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/lilypond.sh
cp buildscripts/out/lilypond-login $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/lilypond.csh

# Create documentation tree for /usr/share/lilypond-extras
tar -C lilypond-extra-tmp -xzf out/htmldoc.tar.gz
cp -pr mutopia lilypond-extra-tmp/
rm -rf `find lilypond-extra-tmp/mutopia -type d -name out`
rm -f `find lilypond-extra-tmp/mutopia -name GNUmakefile`
rm -f `find lilypond-extra-tmp/mutopia -name dummy.m4`
cp -pr input lilypond-extra-tmp/
mv lilypond-extra-tmp/input lilypond-extra-tmp/examples
rm -rf `find lilypond-extra-tmp/examples -type d -name out`
rm -f `find lilypond-extra-tmp/examples -name GNUmakefile`
rm -f `find lilypond-extra-tmp/examples -name dummy.m4`
rm -f lilypond-extra-tmp/Documentation/user/out-www/lilypond-internals
rm -f lilypond-extra-tmp/Documentation/user/out-www/lilypond
mkdir -p lilypond-extra-tmp/Printable
cp lilypond-extra-tmp/Documentation/user/out-www/lilypond.ps.gz lilypond-extra-tmp/Printable/Manual.ps.gz
cp lilypond-extra-tmp/Documentation/user/out-www/lilypond-book.ps.gz lilypond-extra-tmp/Printable/Embedding.ps.gz
cp lilypond-extra-tmp/Documentation/user/out-www/glossary.ps.gz lilypond-extra-tmp/Printable/Glossary.ps.gz

%post
touch /tmp/.lilypond-install
rm `find /var/lib/texmf -name 'feta*pk -print' -or -name 'feta*tfm -print'` /tmp/.lilypond-install
/usr/bin/mktexlsr
# info documentation doesn't seem to work, so we leave it out for now
#_install_info lilypond.info
#_install_info lilypond-internals.info

%preun
# info documentation doesn't seem to work, so we leave it out for now
#_remove_install_info lilypond.info
#_remove_install_info lilypond-internals.info

%postun
/usr/bin/mktexlsr

%files
%defattr(-,root,root,0755)
# hairy to hook it in (possibly non-existing) emacs
%doc lilypond-mode.el
%doc lilypond-font-lock.el

%{_prefix}/bin/*
%{_prefix}/share/lilypond/
%lang(nl) %{_prefix}/share/locale/nl/LC_MESSAGES/lilypond.mo
%lang(ja) %{_prefix}/share/locale/ja/LC_MESSAGES/lilypond.mo
%lang(de) %{_prefix}/share/locale/de/LC_MESSAGES/lilypond.mo
%lang(ru) %{_prefix}/share/locale/ru/LC_MESSAGES/lilypond.mo
%lang(it) %{_prefix}/share/locale/it/LC_MESSAGES/lilypond.mo
%lang(fr) %{_prefix}/share/locale/fr/LC_MESSAGES/lilypond.mo
%{_prefix}/share/texmf/fonts/afm/lilypond
%{_prefix}/share/texmf/fonts/source/lilypond
%{_prefix}/share/texmf/fonts/tfm/lilypond
%{_sysconfdir}/profile.d/lilypond.*

# info documentation doesn't seem to work, so we leave it out for now
#doc %{_infodir}/lilypond.info.*
#doc %{_infodir}/lilypond-internals.info.*

%{_mandir}/man1/*

%doc AUTHORS.txt CHANGES COPYING DEDICATION FAQ.txt NEWS README.txt VERSION README.first

%files extras
%defattr(-,root,root,0755)
%doc lilypond-extra-tmp/*

%changelog
* Mon Feb 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.129-1mdk
- added in contribs by Michael Brown <mbrown@fensystems.co.uk> :
	- Removed info files completely (couldn't get info reader to read them)
	- TODO: Get this to work at some point (in the meantime, use documentation in lilypond-extras)

* Sat Feb 17 2001 Michael Brown <mbrown@fensystems.co.uk>
- Moved TeX font folders into the system TeX tree (this ensures that the /var/lib/texmf font cache is used instead of current folder)
- Added mktexlsr to post-install and post-uninstall scripts
- Patched scripts in /etc/profile.d to reflect changes to font locations
- Added QuickStart guide and Points to note sections to README.first (well worth reading)
- Fixed install-info and uninstall-info sections to use Mandrake's RPM macros :-)

* Tue Feb 13 2001 Michael Brown <mbrown@fensystems.co.uk>
- First Mandrake package
- spec file heavily adapted from PowerPC contribs.
- Note HTML documentation may contain duff links and may be incomplete.  Lots of warnings appear when building HTML docs.
- PostScript documentation is duplicated (how do you get an rpm package to contain a symlink?)
- Created README.first file
